Bulk Delete Available Periods
Read as MarkdownDescription #
Deletes all available periods for the authenticated account.
This can be used in combination with our Simple Scheduling and Availability features to manage an account’s availability dynamically.
It can also be used in conjunction with the Batch endpoint.
URL format #
{data_center_url}/v1/available_periods
Example Request #
DELETE /v1/available_periods HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8
{
"delete_all": true
}Example Response #
HTTP/1.1 202 AcceptedRequest parameters #
data_center_url Required
The URL for the data center you want to communicate with. Possible choices are:
api-au.cronofy.com- π¦πΊ Australiaapi-ca.cronofy.com- π¨π¦ Canadaapi-de.cronofy.com- π©πͺ Germanyapi-sg.cronofy.com- πΈπ¬ Singaporeapi-uk.cronofy.com- π¬π§ United Kingdomapi.cronofy.com- πΊπΈ United States
Find out more about Cronofy's data centers.
delete_all Required #
A Boolean specifying whether all available period you are managing for the authenticated account should be deleted. When specified must be true.